%define upstream_name recommended
%define upstream_version 0.003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Load recommended modules on demand when available
License:	ASL 2.0
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Runtime)

BuildArch:	noarch

%description
This module gathers a list of recommended modules and versions and
provides means to check if they are available. It is a thin veneer
around Module::Runtime.

There are two major benefits over using Module::Runtime directly:

*   Self-documents recommended modules together with versions at the top
    of your code, while still loading them on demand elsewhere.

*   Dies if a recommended module exists but fails to compile, but
    doesn't die if the module is missing or the version is insufficient.
    This is not something that Module::Runtime offers in a single
    subroutine.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.3.0-7.mga10
+ Revision: 2200508
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.3.0-6.mga9
+ Revision: 1805555
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1497023
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1270889
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1032722
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 967647
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 849998
- imported package perl-recommended

